<div class="container">
  <div class="row">
    <div class="col">
      <section>
        <header class="header">
          <div class="row">
            <div class="col-md-4">
              <h1>Users</h1>
            </div>
            <div class="col-md-6">
            </div>
            <div class="col-md-2">
              <button type="button" class="btn btn-primary" (click)="redirectAddUserPage()">Add new User</button>
            </div>
          </div>

        </header>
      </section>

      <section class="main">

        <table class="table">
          <thead>
          <tr>
            <th>#</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
            <th>Role</th>
            <th></th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let user of users">
            <th scope="row">{{user.id}}</th>
            <td>{{user.firstname}}</td>
            <td>{{user.lastname}}</td>
            <td>{{user.email}}</td>
            <td>{{user.role}}</td>
            <td>
              <button type="button" class="btn btn-success" (click)="redirectEditUserPage(user)">Edit</button>
              <button type="button" class="btn btn-danger" (click)="deleteUser(user)">Delete</button>
            </td>
          </tr>

          </tbody>
        </table>
      </section>
    </div>
  </div>
</div>

